$(document).ready(function () {

	// add div for header text	
	var styles = '.title-bar-layout a.logo {background: transparent !important;}';

	var styleSheet = document.createElement("style");
	styleSheet.type = "text/css";
	styleSheet.innerText = styles;
	document.head.appendChild(styleSheet);
		
    $("div.title-bar-container").addClass("foundryNav__local").removeClass("sticky-container").find("nav.title-bar").removeClass("sticky");

    if (typeof foundryGlobalNav != "undefined") {
        //
        // Configure the widget
        //
        // !! You must set a language here if the page is able to be displayed in any other language than English
        foundryGlobalNav.setLanguages([{
            code: '',
            label: 'English'
        }, {
            code: 'zh-hans',
            label: '中文，简体'
        }, {
            code: 'ja',
            label: '日本語'
		}, {
			code: 'ko',
			label: '한국어'
        }]);
        // !! Should be set to a full URL
        foundryGlobalNav.setCSSPath('https://foundry-cdn.s3.amazonaws.com/navigation/foundry-menu-widget.min.css');
        //Retrieve from the API
        foundryGlobalNav.ignoreCache(true);
        //
        // Attempt to output the menu
        //
        foundryGlobalNav.build('live');
    }

    //add gtm code
    // var gtmcode = "(function (i, s, o, g, r, a, m) { i['GoogleAnalyticsObject'] = r; i[r] = i[r] || function () { (i[r].q = i[r].q || []).push(arguments)}, i[r].l = 1 * new Date(); a = s.createElement(o), m = s.getElementsByTagName(o)[0]; a.async = 1; a.src = g; m.parentNode.insertBefore(a, m)})(window, document, 'script', 'https://www.google-analytics.com/analytics.js', 'ga'); ga('create', 'UA-7716777-9', 'learn.foundry.com'); ga('send', 'pageview');";

    //	var gtmcode = "var GTMcode = 'GTM-KDSNB4J'; var myHostname = window.location.hostname; var isDevHostname = /(^|.+\.)(.*(test|stage|dev|staging|beta).*\.(the)?foundry\.(vision|co\.uk|com)|localhost|local|([0-9]{1,3}\.){3}[0-9]{1,3})$/i; if( isDevHostname.exec(myHostname) ) { GTMcode = 'GTM-TCSHFPL'; } (function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start': new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0], j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src= 'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f); })(window,document,'script','dataLayer', GTMcode );";

    //var script = document.createElement("script");
    //script.type = "text/javascript";
    //script.innerText = gtmcode;
    //document.head.appendChild(script);


});